Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server.dynamic
Class JSMSeries

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.dynamic.JSMSeries

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, Series

    public class JSMSeries

extends JSMBaseObject
implements Series

Field Summary

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMSeries()`
`JSMSeries(JSMSeries optionsSeries)`

Method Summary
`JSMElement` | `getArea()`
`JSMArray<Point>` | `getData()`
`JSMElement` | `getGraph()`
`java.lang.String` | `getName()`
`JSMSeries` | `setArea(JSMElement area)`
`JSMSeries` | `setGraph(JSMElement graph)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSMSeries

    public JSMSeries(JSMSeries optionsSeries)

### JSMSeries

    public JSMSeries()

Method Detail

### getData

    public JSMArray<Point> getData()

  Specified by:
    `getData` in interface `Series`

### getGraph

    public JSMElement getGraph()

  Specified by:
    `getGraph` in interface `Series`

### setGraph

    public JSMSeries setGraph(JSMElement graph)

### getArea

    public JSMElement getArea()

  Specified by:
    `getArea` in interface `Series`

### setArea

    public JSMSeries setArea(JSMElement area)

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Series`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD